//SWRFlagger bot
// by Mine GO BOOM

#include <stdio.h>
#include <string.h>
#include <windows.h>
#include "..\CEBot.h"

#define FLAG_DELAY_TIME		1000
#define BOT_NAME_FILE		"swrnames.txt"	//Used for lookup up names for SWZ
#define FLAG_DROP_LOG		"flags.txt"		//Used to log who dropped flags outside
#define CtT(x)		(x / 16)
#define CtO(x,y)	(x + (1024 * (1023 - y)))

typedef struct {
	char			BotName[32];
	char			Password[32];
	char			IP[32];
	int				Port;
	char			Arena[MAX_ARENALENGTH];
	char			ArenaType;
} BOT_NAMES;

typedef struct {
	char			Name[20];		//Name of person who dropped the flag
} SWR_FLAG;

typedef struct {
	char			FlagOutside[MAX_FLAGS];
	unsigned int	LastGrab;
	char			BMPName[50];
	SWR_FLAG		Flags[MAX_FLAGS];
	void			*MapCoords;
} SWR_DATA;

int LoadBotName(BOT_NAMES *bn);
int LoadBMP(BOT_CMD *bc,BOT_MSG *bm);
char BMPTestCoord(BOT_CMD *bc,BOT_MSG *bm,int XCoord,int YCoord);
void FindEmptyName(BOT_CMD *bc,BOT_MSG *bm);
void FlagSet(BOT_CMD *bc,BOT_MSG *bm);
void FlagPickup(BOT_CMD *bc,BOT_MSG *bm);
void FlagReset(BOT_CMD *bc,BOT_MSG *bm);
void EnteredArena(BOT_CMD *bc,BOT_MSG *bm);
void Tick(BOT_CMD *bc,BOT_MSG *bm);
void LogFlagDrop(BOT_CMD *bc,BOT_MSG *bm,char *Name,short X,short Y);
int ChangeArenas(BOT_CMD *bc,BOT_MSG *bm,char *ArenaName);
int Disconnect(BOT_CMD *bc,BOT_MSG *bm);





